# Benchmark Logging Tool

BLT is a web UI for recording and managing PC hardware benchmarking results comparisons.

## Project Goals

The goals of this project are to:

* Record benchmarking results from multiple devices - e.g. log from a laptop or a phone.
* Group results into tests - it's good practice to run a benchmark multiple times for accuracy.
* Create comparisons of hardware tests to compare performance.
* Generate graphs of hardware comparisons for usage in videos and articles.

## Development

To run the BLT server in development mode with automatic reloading, you first need to install dependencies:

`npm install`

Then you need to run nodemon:

`npm run nodemon`

And that's it! You just need to visit http://localhost:3000 in a browser and you're good to go!

For reference, nodemon watches files in the following directories:

* `src/`
* `views/`
* `index.js`
